<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'DocumentsTable' and data/tableStatus">  </xsl:when>
		<xsl:when test="data/@action = 'DocumentsTable' and data/tableFile">  </xsl:when>
		<xsl:when test="data/@action = 'DocumentsTable'"> </xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="/data">
	<xsl:if test="@action = 'DocumentsTable'">
		<xsl:if test="not(tableStatus) and not(tableFile)">
			<xsl:call-template name="DocumentsTable"/>
		</xsl:if>
		<xsl:if test="tableStatus">
			<xsl:call-template name="DocumentTable"/>
			<xsl:call-template name="StatusesTable"/>
		</xsl:if>
		<xsl:if test="tableFile">
			<xsl:call-template name="DocumentTable"/>
			<xsl:call-template name="FilesTable"/>
		</xsl:if>
	</xsl:if>
</xsl:template>

<xsl:template name="DocumentTable">
	<div class="report">
	<table width="100%" >
		<thead>
			<tr>
				<td width="160"></td>
				<td width="100"></td>
				<td width="150"></td>
				<td></td>
			</tr>
			</thead>
			<xsl:if test="documentInfo">
				<tr>
				<td><xsl:value-of select="documentInfo/@date"/></td>
				<td><xsl:value-of select="documentInfo/@journal"/></td>
				<td><xsl:value-of select="documentInfo/@type"/></td>
				<td><xsl:value-of select="documentInfo/@title"/></td>
				</tr>
			</xsl:if>
</table>
</div>
</xsl:template>

<xsl:template name="DocumentsTable">
	<div class="report">
	<table width="100%" >
		<thead>
			<tr>
				<td width="160"></td>
				<td width="100"></td>
				<td width="150"></td>
				<td></td>
				<td width="150" colspan="2" rowspan="2"></td>
			</tr>
			<tr>
				<td><select name="dateOrder" style="width: 100%;"><option value="0"> </option><option value="1"> </option><option value="2"> </option></select></td>
				<td><select name="journalId" style="width: 100%;"><option value="0">--  --</option></select></td>
				<td><select name="typeId" style="width: 100%;"><option value="0">--  --</option></select></td>
				<td><input type="text" name="titleMask" style="width: 100%;" /></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="tableDocument/row">
			<tr>
				<td><xsl:value-of select="@date"/></td>
				<td><xsl:value-of select="@journal"/></td>
				<td><xsl:value-of select="@type"/></td>
				<td><xsl:value-of select="@title"/></td>
				<td>
					<xsl:call-template name="formButton">
						<xsl:with-param name="data">
							<xsl:call-template name="action"/>
							<input type="hidden" name="command" value="statuses"/>
							<input type="hidden" name="id">
								<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
							</input>
						</xsl:with-param>
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'_status'"/>
					</xsl:call-template>
					
				</td>
				<td>
					<xsl:call-template name="formButton">
						<xsl:with-param name="data">
							<xsl:call-template name="action"/>
							<input type="hidden" name="command" value="files"/>
							<input type="hidden" name="id">
								<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
							</input>
						</xsl:with-param>
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'_file'"/>
					</xsl:call-template>
				</td>
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
</xsl:template>

<xsl:template name="StatusesTable">
	<div style="margin-top: 30px;"> </div>
	<div class="report">
	<table width="100%" >
		<col class="col1"/>
		<col class="col2"/>
		<col class="col3"/>
		<col class="col4"/>
		<thead>
			<tr>
				<td width="160"></td>
				<td width="260"></td>
				<td width="140"></td>
				<td></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="tableStatus/row">
			<tr>
				<td><xsl:value-of select="@date"/></td>
				<td><xsl:value-of select="@status"/></td>
				<td><xsl:value-of select="@user"/></td>
				<td><xsl:value-of select="@comment"/></td>
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
	<br/>
	<xsl:call-template name="formButton">
		<xsl:with-param name="data">
			<xsl:call-template name="action"/>
		</xsl:with-param>
		<xsl:with-param name="title" select="'  '"/>
		<xsl:with-param name="align" select="'left'"/>
	</xsl:call-template>
</xsl:template>

<xsl:template name="FilesTable">
	<div style="margin-top: 30px;"> </div>
	<div class="report">
	<table width="100%" >
		<col class="col1"/>
		<col class="col2"/>
		<col class="col3"/>
		<col class="col4"/>
		<col class="col5"/>
		<thead>
			<tr>
				<td width="160"></td>
				<td></td>
				<td>, </td>
				<td></td>	
				<td></td>
				<td width="80"></td>			
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="tableFile/row">
			<tr>
				<td><xsl:value-of select="@date"/></td>
				<td><xsl:value-of select="@title"/></td>
				<td><xsl:value-of select="@size"/></td>
				<td><xsl:value-of select="@user"/></td>
				<td><xsl:value-of select="@comment"/></td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=FileDownload&#38;mid=0&#38;module=ru.bitel.bgbilling.plugins.documents&#38;id=<xsl:value-of select="@id"/></xsl:with-param>
					</xsl:call-template>					
				</td>
			</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
	
	<br/>

	<xsl:call-template name="formButton">
		<xsl:with-param name="data">
			<xsl:call-template name="action"/>
		</xsl:with-param>
		<xsl:with-param name="title" select="'  '"/>
		<xsl:with-param name="align" select="'left'"/>
	</xsl:call-template>
</xsl:template>


</xsl:stylesheet>